org.gradle.plugins.binaries.model

## Interface Binary

- All Superinterfaces:
    Buildable, Named
  All Known Subinterfaces:
    Executable, Library

      public interface Binary
      extends Named, Buildable

  Something to be created.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Project` | `getProject()` Deprecated. No replacement
    `DomainObjectSet<SourceSet>` | `getSourceSets()`
    `CompileSpec` | `getSpec()`

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

- - ### Method Detail

    - #### getSpec

          CompileSpec getSpec()

    - #### getProject

          @Deprecated
          Project getProject()

      Deprecated. No replacement
      Returns the project that this binary is built by.

    - #### getSourceSets

          DomainObjectSet<SourceSet> getSourceSets()